org.apache.xerces.parsers

## Class XMLDocumentParser

- java.lang.Object
- - org.apache.xerces.parsers.XMLParser
  - - org.apache.xerces.parsers.AbstractXMLDocumentParser
    - - org.apache.xerces.parsers.XMLDocumentParser

All Implemented Interfaces:
  org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.XMLDTDHandler

    public class XMLDocumentParser
    extends AbstractXMLDocumentParser

This is a concrete vanilla XML parser class. It uses the abstract parser with either a BasicConfiguration object or the one specified by the application.

Version:
  $Id: XMLDocumentParser.java 447239 2006-09-18 05:08:26Z mrglavas $
Author:
  Arnaud Le Hors, IBM, Andy Clark, IBM

### Field Summary

### Fields inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

`fDocumentSource, fDTDContentModelSource, fDTDSource, fInDTD`

### Fields inherited from class org.apache.xerces.parsers.XMLParser

`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

### Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler

`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

### Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler

`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

### Constructor Summary

Constructors
Constructor and Description
`XMLDocumentParser()` Constructs a document parser using the default basic parser configuration.
`XMLDocumentParser(SymbolTable symbolTable)` Constructs a document parser using the specified symbol table.
`XMLDocumentParser(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a document parser using the specified symbol table and grammar pool.
`XMLDocumentParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)` Constructs a document parser using the specified parser configuration.

### Method Summary

### Methods inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

`any, attributeDecl, characters, comment, doctypeDecl, element, elementDecl, empty, emptyElement, endAttlist, endCDATA, endConditional, endContentModel, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endGroup, endParameterEntity, externalEntityDecl, getDocumentSource, getDTDContentModelSource, getDTDSource, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, processingInstruction, reset, separator, setDocumentSource, setDTDContentModelSource, setDTDSource, startAttlist, startCDATA, startConditional, startContentModel, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startGroup, startParameterEntity, textDecl, unparsedEntityDecl, xmlDecl`

### Methods inherited from class org.apache.xerces.parsers.XMLParser

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLDocumentParser

    public XMLDocumentParser()

Constructs a document parser using the default basic parser configuration.

#### XMLDocumentParser

    public XMLDocumentParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)

Constructs a document parser using the specified parser configuration.

#### XMLDocumentParser

    public XMLDocumentParser(SymbolTable symbolTable)

Constructs a document parser using the specified symbol table.

#### XMLDocumentParser

    public XMLDocumentParser(SymbolTable symbolTable,
                             org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

Constructs a document parser using the specified symbol table and grammar pool.